package cd.casic.module.machine.enums;


import cd.casic.framework.commons.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@Getter
@AllArgsConstructor
public enum MachineInfoType implements IntArrayValuable {
    Linux(1,"Linux"),
    WINDOWS(2,"Windows");
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(MachineInfoType::getCode).toArray();
    private final int code;

    private final String message;

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
